Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### += (add assign)

Examples

    int a = 50;
    int b = 23;
    a += b; // sets "a" to 73

Description | Combines addition with assignment. The expression a += b is equivalent to a = a + b.

Syntax

    value1 += value2

Parameters

value1 | int or float
value2 | any numerical value the same datatype as value1

Usage | Web & Application
Related | = (assign) + (add) -= (subtract assign)

Updated on August 30, 2010 04:29:39pm EDT